::===========================================================
::     Beispiel Flächenwidmung Österreich - Geopackage    ===
:: ==========================================================

::===========================================================
:: Oberösterreich                                         ===
::===========================================================
ogr2ogr -lco ASPATIAL_VARIANT=GPKG_ATTRIBUTES -f GPKG -dsco VERSION=1.2 -oo SWAP_COORDINATES=YES -oo EXPOSE_METADATA_LAYERS=YES -oo REMOVE_UNUSED_FIELDS=NO -oo REMOVE_UNUSED_LAYERS=NO -s_srs EPSG:3045 -t_srs EPSG:3035 -nlt CONVERT_TO_LINEAR -forceNullable ../Output/flaechenwidmung.gpkg GMLAS:../Input/FLWI_WIDMUNGEN_F_ETRS89TM33N.gml
ECHO== Flaechenwidmung OÖ erfolgreich eingefügt ==

::===========================================================
:: Voralberg                                              ===
::===========================================================
::ogr2ogr -lco ASPATIAL_VARIANT=GPKG_ATTRIBUTES -f GPKG -dsco VERSION=1.2 -oo SWAP_COORDINATES=YES -oo EXPOSE_METADATA_LAYERS=NO -oo REMOVE_UNUSED_FIELDS=YES -oo REMOVE_UNUSED_LAYERS=YES -nlt CONVERT_TO_LINEAR -forceNullable ../Output/flaechenwidmung.gpkg GMLAS:../Input/Flachenwidmung_Vorarlberg.gml -append
::ECHO== Flaechenwidmung VBG erfolgreich eingefügt ==


::===========================================================
:: Burgenland                                              ===
::===========================================================
::ogr2ogr -lco ASPATIAL_VARIANT=GPKG_ATTRIBUTES -f GPKG -dsco VERSION=1.2 -oo SWAP_COORDINATES=NO -oo EXPOSE_METADATA_LAYERS=YES -oo REMOVE_UNUSED_FIELDS=YES -oo REMOVE_UNUSED_LAYERS=YES -s_srs EPSG:3035 -spat_srs EPSG:3035 -nlt CONVERT_TO_LINEAR -forceNullable ../Output/flaechenwidmung.gpkg GMLAS:../Input/FlaechenwidmungBurgenland_Nord.gml -append
::ogr2ogr -lco ASPATIAL_VARIANT=GPKG_ATTRIBUTES -f GPKG -dsco VERSION=1.2 -oo SWAP_COORDINATES=NO -oo EXPOSE_METADATA_LAYERS=YES -oo REMOVE_UNUSED_FIELDS=YES -oo REMOVE_UNUSED_LAYERS=YES -s_srs EPSG:3035 -spat_srs EPSG:3035 -nlt CONVERT_TO_LINEAR -forceNullable ../Output/flaechenwidmung.gpkg GMLAS:../Input/FlaechenwidmungBurgenland_Mittelburgenland.gml -append
::ogr2ogr -lco ASPATIAL_VARIANT=GPKG_ATTRIBUTES -f GPKG -dsco VERSION=1.2 -oo SWAP_COORDINATES=NO -oo EXPOSE_METADATA_LAYERS=YES -oo REMOVE_UNUSED_FIELDS=YES -oo REMOVE_UNUSED_LAYERS=YES -s_srs EPSG:3035 -spat_srs EPSG:3035 -nlt CONVERT_TO_LINEAR -forceNullable ../Output/flaechenwidmung.gpkg GMLAS:../Input/FlaechenwidmungBurgenland_Suedburgenland.gml -append
::ECHO===============================================
::ECHO== Flaechenwidmung BGL erfolgreich eingefügt ==
::ECHO===============================================




::===========================================================
:: Steiermark                                             ===
::===========================================================
::ogr2ogr -lco ASPATIAL_VARIANT=GPKG_ATTRIBUTES -f GPKG -dsco VERSION=1.2 -oo SWAP_COORDINATES=YES -oo EXPOSE_METADATA_LAYERS=YES -s_srs EPSG:3045 -t_srs EPSG:3035 -nlt CONVERT_TO_LINEAR -forceNullable ../Output/flaechenwidmung.gpkg GMLAS:../Input/Flaechenwidmungsplaene_Steiermark.gml -append
::ECHO== Flaechenwidmung STK erfolgreich eingefügt ==


::==============================================================
::       View österreichische Flächenwidmung                 ===
::==============================================================
ogr2ogr -f GPKG ../Output/flaechenwidmung.gpkg -nln at_flachenwidmung -update -sql "SELECT "zoningelement"."regulationnature_href","zoningelement"."inspireid_identifier_namespace","zoningelement"."inspireid_identifier_localid","zoningelement"."plan_href","zoningelement_specificlanduse"."href","zoningelement"."geometry" FROM "zoningelement" JOIN "zoningelement_specificlanduse" WHERE "zoningelement"."ogr_pkid" = "zoningelement_specificlanduse"."parent_ogr_pkid"" ../Output/flaechenwidmung.gpkg
ECHO== View AT Flaechenwidmung erfolgreich erstellt ==

::==============================================================
::       View EU Flächenwidmung -  HILUCS-Klassen            ===
::==============================================================
ogr2ogr -f GPKG ../Output/flaechenwidmung.gpkg -nln eu_flachenwidmung -update -sql "SELECT "zoningelement"."inspireid_identifier_namespace", "zoningelement"."inspireid_identifier_localid", "zoningelement"."regulationnature_href", "zoningelement"."plan_href", "zoningelement_hilucslanduse"."href" AS "hilucs_href", "zoningelement"."geometry" FROM "zoningelement" JOIN "zoningelement_hilucslanduse" WHERE "zoningelement"."ogr_pkid" = "zoningelement_hilucslanduse"."parent_ogr_pkid"" ../Output/flaechenwidmung.gpkg
ECHO== View EU Flächenwidmung - HILUCS-Klassen erfolgreich erstellt ==




